Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jms
Interface JmsSessionFactory

All Superinterfaces:
  javax.jms.Connection, javax.jms.QueueConnection, javax.jms.TopicConnection

All Known Implementing Classes:
  JmsSessionFactoryImpl

public interface JmsSessionFactory
extends javax.jms.Connection, javax.jms.TopicConnection, javax.jms.QueueConnection

A marker interface to join topics and queues into one factory.

Created: Thu Mar 29 15:37:21 2001

Version:

      $Revision: 1.5 $

Author:
  Peter Antman.

Method Summary
`void` | `addTemporaryQueue(javax.jms.TemporaryQueue temp)` Add a temporary queue
`void` | `addTemporaryTopic(javax.jms.TemporaryTopic temp)` Add a temporary topic
`void` | `closeSession(JmsSession session)` Notification that a session is closed

Methods inherited from interface javax.jms.Connection
`close, createConnectionConsumer, createDurableConnectionConsumer, createSession, getClientID, getExceptionListener, getMetaData, setClientID, setExceptionListener, start, stop`

Methods inherited from interface javax.jms.TopicConnection
`createConnectionConsumer, createDurableConnectionConsumer, createTopicSession`

Methods inherited from interface javax.jms.QueueConnection
`createConnectionConsumer, createQueueSession`

Method Detail

### addTemporaryQueue

    public void addTemporaryQueue(javax.jms.TemporaryQueue temp)

  Add a temporary queue

  Parameters:
    `temp` - the temporary queue

### addTemporaryTopic

    public void addTemporaryTopic(javax.jms.TemporaryTopic temp)

  Add a temporary topic

  Parameters:
    `temp` - the temporary topic

### closeSession

    public void closeSession(JmsSession session)
                      throws javax.jms.JMSException

  Notification that a session is closed

  Throws:
    `javax.jms.JMSException` - for any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.